Magtek iDynamo 5 Card Reader EOL Announcement

By Mark | Updated

Follow

The purpose of this notice is to advise that Revel will not support the Magtek iDynamo 5 card reader on Revel versions 2.48 or later.


Rationale

Revel stopped selling Magtek iDynamo card readers in June 2015 due to a lack of EMV functionality and other limitations.

We continued to support the devices through version 2.43 to give customers time to transition to a replacement card reader, but we can no longer continue to develop new software versions that are compatible with the Magtek iDynamo.


Migration Options

Customers who are still using Magtek iDynamo card readers should contact Revel at +1 (415) 744-1433 to upgrade to the Ingenico iSMP4 payment terminal prior to upgrading to Revel version 2.48.

The Ingenico iSMP4 is EMV-compliant and a more reliable device.



Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request
Want to request a new feature? Click here!
Still have questions? Contact our friendly Support team